Bug 680691 - cherokee uses libssl from openssl >1.0, when opensssl <1.0 is current in repository
Summary: cherokee uses libssl from openssl >1.0, when opensssl <1.0 is current in repo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cherokee
Version: el5
Hardware: i386
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Pavel Lisý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-27 01:05 UTC by Krzysztof "Uosiu" Hajdamowicz
Modified: 2011-11-25 02:08 UTC (History)
1 user (show)

Fixed In Version: cherokee-1.2.101-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-10 14:15:21 UTC
Type: ---


Attachments (Terms of Use)

Description Krzysztof "Uosiu" Hajdamowicz 2011-02-27 01:05:54 UTC
Description of problem:
Cherokee 1.2.1 (current version) installs without any complain from it's side.

Version-Release number of selected component (if applicable):
1:57 [ root @ remedis ] /root SRV-GODMODE> rpm -q openssl cherokee
openssl-0.9.8e-12.el5_5.7
cherokee-1.2.1-1.el5


How reproducible:
Always

Steps to Reproduce:
1. install cherokee
2. setup vhosts
3. start cherokee via cherokee-admin
  
Actual results:
Something just happened while opening a plug-in file
The operating system reported '/usr/lib/cherokee/libplugin_libssl.so: undefined symbol: SSL_set_SSL_CTX' while trying to load '/usr/lib/cherokee/libplugin_libssl.so'.

Expected results:
Cherokee starts normally

Additional info:
CentOS 5.5

Comment 1 Pavel Lisý 2011-10-10 14:15:21 UTC
This bug is solved in version 1.2.99, by static built with 1.0.0d version of openssl

Comment 2 Fedora Update System 2011-10-11 07:36:45 UTC
cherokee-1.2.100-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-1.el5

Comment 3 Fedora Update System 2011-10-11 07:38:31 UTC
cherokee-1.2.100-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-1.el4

Comment 4 Fedora Update System 2011-10-11 07:39:16 UTC
cherokee-1.2.100-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-1.el6

Comment 5 Fedora Update System 2011-10-11 07:42:13 UTC
cherokee-1.2.100-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-1.fc16

Comment 6 Fedora Update System 2011-10-11 07:43:14 UTC
cherokee-1.2.100-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-1.fc15

Comment 7 Fedora Update System 2011-10-11 07:45:19 UTC
cherokee-1.2.100-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-1.fc14

Comment 8 Fedora Update System 2011-10-18 08:52:02 UTC
cherokee-1.2.100-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.fc16

Comment 9 Fedora Update System 2011-10-18 08:54:26 UTC
cherokee-1.2.100-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.fc15

Comment 10 Fedora Update System 2011-10-18 09:27:23 UTC
cherokee-1.2.100-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.fc14

Comment 11 Fedora Update System 2011-10-18 09:28:46 UTC
cherokee-1.2.100-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.el6

Comment 12 Fedora Update System 2011-10-18 09:29:43 UTC
cherokee-1.2.100-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.el5

Comment 13 Fedora Update System 2011-10-18 09:30:48 UTC
cherokee-1.2.100-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.100-2.el4

Comment 14 Fedora Update System 2011-10-19 14:24:08 UTC
cherokee-1.2.101-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.fc16

Comment 15 Fedora Update System 2011-10-19 14:25:02 UTC
cherokee-1.2.101-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.fc15

Comment 16 Fedora Update System 2011-10-19 14:25:50 UTC
cherokee-1.2.101-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.fc14

Comment 17 Fedora Update System 2011-10-19 14:26:32 UTC
cherokee-1.2.101-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.el6

Comment 18 Fedora Update System 2011-10-19 14:27:31 UTC
cherokee-1.2.101-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.el5

Comment 19 Fedora Update System 2011-10-19 14:28:13 UTC
cherokee-1.2.101-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.101-1.el4

Comment 20 Fedora Update System 2011-11-25 01:53:44 UTC
cherokee-1.2.101-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2011-11-25 01:54:27 UTC
cherokee-1.2.101-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2011-11-25 02:04:31 UTC
cherokee-1.2.101-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2011-11-25 02:05:21 UTC
cherokee-1.2.101-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2011-11-25 02:05:57 UTC
cherokee-1.2.101-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2011-11-25 02:08:21 UTC
cherokee-1.2.101-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.